Package net.snowflake.client.core.crl

## Class CRLCacheConfig

- java.lang.Object
- - net.snowflake.client.core.crl.CRLCacheConfig

    @SnowflakeJdbcInternalApi
    public class CRLCacheConfig
    extends Object

### Field Summary

Fields
`static String` `CRL_CACHE_VALIDITY_TIME`
`static String` `CRL_ON_DISK_CACHE_REMOVAL_DELAY`
`static String` `CRL_RESPONSE_CACHE_DIR`
`static String` `ENABLE_CRL_DISK_CACHING`
`static String` `ENABLE_CRL_IN_MEMORY_CACHING`

### Constructor Summary

Constructors
`CRLCacheConfig()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Duration` `getCacheValidityTime()`
`static Duration` `getCrlOnDiskCacheRemovalDelay()`
`static boolean` `getInMemoryCacheEnabled()`
`static Path` `getOnDiskCacheDir()`
`static boolean` `getOnDiskCacheEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENABLE_CRL_IN_MEMORY_CACHING

    public static final String ENABLE_CRL_IN_MEMORY_CACHING

See Also:
  Constant Field Values

#### ENABLE_CRL_DISK_CACHING

    public static final String ENABLE_CRL_DISK_CACHING

See Also:
  Constant Field Values

#### CRL_CACHE_VALIDITY_TIME

    public static final String CRL_CACHE_VALIDITY_TIME

See Also:
  Constant Field Values

#### CRL_RESPONSE_CACHE_DIR

    public static final String CRL_RESPONSE_CACHE_DIR

See Also:
  Constant Field Values

#### CRL_ON_DISK_CACHE_REMOVAL_DELAY

    public static final String CRL_ON_DISK_CACHE_REMOVAL_DELAY

See Also:
  Constant Field Values

### Constructor Detail

#### CRLCacheConfig

    public CRLCacheConfig()

### Method Detail

#### getInMemoryCacheEnabled

    public static boolean getInMemoryCacheEnabled()

#### getOnDiskCacheEnabled

    public static boolean getOnDiskCacheEnabled()

#### getCacheValidityTime

    public static Duration getCacheValidityTime()

#### getOnDiskCacheDir

    public static Path getOnDiskCacheDir()

#### getCrlOnDiskCacheRemovalDelay

    public static Duration getCrlOnDiskCacheRemovalDelay()